Bug 973274 - Unnecessary dependency on python-ordereddict
Unnecessary dependency on python-ordereddict
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-requests (Show other bugs)
19
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Ralph Bean
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-11 11:32 EDT by Endi Sukma Dewata
Modified: 2013-08-19 22:35 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-19 22:35:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Endi Sukma Dewata 2013-06-11 11:32:09 EDT
The spec file for python-requests contains the following conditional dependency:

%if 0%{?rhel}
BuildRequires:  python-ordereddict
Requires:       python-ordereddict
%endif

This dependency is no longer needed on RHEL 7, so the correct condition is:

%if 0%{?rhel} && 0%{?rhel} <= 6
Comment 1 Ralph Bean 2013-06-11 12:44:39 EDT
Fix is on its way.
Comment 2 Fedora Update System 2013-06-11 13:04:56 EDT
python-requests-1.1.0-4.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-requests-1.1.0-4.el6
Comment 3 Fedora Update System 2013-06-11 13:06:07 EDT
python-requests-1.1.0-4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-requests-1.1.0-4.fc19
Comment 4 Fedora Update System 2013-06-29 14:12:46 EDT
python-requests-1.1.0-4.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2013-07-01 16:57:49 EDT
python-requests-1.1.0-4.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.